Skip to content
Start here

Fetch active livestreams for a meeting

client.realtimeKit.livestreams.getMeetingActiveLivestreams(stringappId, stringmeetingId, LivestreamGetMeetingActiveLivestreamsParams { account_id } params, RequestOptionsoptions?): LivestreamGetMeetingActiveLivestreamsResponse { data, success }
GET/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-livestream

Returns details of all active livestreams for the given meeting ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
meetingId: string
formatuuid
params: LivestreamGetMeetingActiveLivestreamsParams { account_id }
account_id: string

The account identifier tag.

maxLength32
ReturnsExpand Collapse
LivestreamGetMeetingActiveLivestreamsResponse { data, success }
data?: Data { id, created_at, disabled, 7 more }
id?: string

The livestream ID.

created_at?: string

Timestamp the object was created at. The time is returned in ISO format.

formatdate-time
disabled?: string

Specifies if the livestream was disabled.

ingest_server?: string

The server URL to which the RTMP encoder sends the video and audio data.

meeting_id?: string
name?: string | null

Name of the livestream.

playback_url?: string

The web address that viewers can use to watch the livestream.

status?: "LIVE" | "IDLE" | "ERRORED" | "INVOKED"
One of the following:
"LIVE"
"IDLE"
"ERRORED"
"INVOKED"
stream_key?: string

Unique key for accessing each livestream.

updated_at?: string

Timestamp the object was updated at. The time is returned in ISO format.

formatdate-time
success?: boolean

Fetch active livestreams for a meeting

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.livestreams.getMeetingActiveLivestreams(
  'app_id',
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.data);
{
  "data": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "disabled": "disabled",
    "ingest_server": "ingest_server",
    "meeting_id": "meeting_id",
    "name": "name",
    "playback_url": "playback_url",
    "status": "LIVE",
    "stream_key": "stream_key",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "disabled": "disabled",
    "ingest_server": "ingest_server",
    "meeting_id": "meeting_id",
    "name": "name",
    "playback_url": "playback_url",
    "status": "LIVE",
    "stream_key": "stream_key",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}